Subject: [PATCH 7/8] ARM: OMAP: Remove plat/io.h by moving it into mach/io.h

From: [email-masked] (Tony Lindgren)
Date: Wed, 29 Feb 2012 19:46:13 -0800

* Rob Herring <[email-masked]> [120229 19:02]:
> On 02/29/2012 07:03 PM, Tony Lindgren wrote:
> > 
> > Rob, I assume you'll apply this into your branch?
> > 
> 
> Yes

OK
 
> > --- a/arch/arm/plat-omap/include/plat/sdrc.h
> > +++ b/arch/arm/plat-omap/include/plat/sdrc.h
> > @@ -16,8 +16,6 @@
> >   * published by the Free Software Foundation.
> >   */
> >  
> > -#include <mach/io.h>
> > -
> 
> I added iomap.h here as there are macros in the header from it.

Hmm, did you get some compile error? I though all code
using sdrc.h already has iomap.h included. This file
should eventually be local to mach-omap2.

Regards,

Tony